#
# spec file for package openstack-macros
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?rhel} || 0%{?fedora}
%global rdo 1
%endif
Name:           openstack-macros
Version:        2015.2
Release:        1.1
Summary:        OpenStack Packaging - RPM Macros
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://wiki.openstack.org/wiki/Rpm-packaging
Source0:        openstack-macros-%{version}.tar.bz2
BuildArch:      noarch

%description
This package provides OpenStack RPM macros. You need it to build OpenStack
packages.

%prep
%setup -q

%build

%install
install -D -m644 macros.openstack-common %{buildroot}%{_sysconfdir}/rpm/macros.openstack-common
%if 0%{?suse_version}
install -D -m644 macros.openstack-suse %{buildroot}%{_sysconfdir}/rpm/macros.openstack-suse
%endif
%if 0%{?rdo}
install -D -m644 macros.openstack-rdo %{buildroot}%{_sysconfdir}/rpm/macros.openstack-rdo
%endif

%files
%{_sysconfdir}/rpm/macros.openstack-common
%if 0%{?suse_version}
%{_sysconfdir}/rpm/macros.openstack-suse
%endif
%if 0%{?rdo}
%{_sysconfdir}/rpm/macros.openstack-rdo
%endif

%changelog
* Tue Aug 30 2016 tbechtold@suse.com
- update _service and create tarball from upstream openstack-macros
  dir
- cleanup duplicate macro files (now included in the tarball)
- remove no longer needed pre_checkin.sh script
* Mon Aug  1 2016 tbechtold@suse.com
- Update to 4a0436
* Mon Jul 11 2016 tbechtold@suse.com
- update to 815ad31
* Thu Sep  3 2015 dmueller@suse.com
- Initial package
